import { Crew as CrewType, User } from '@bringg/types';
import Session from '../Services/Identity/Session';
import Users from '../User/Users';
import { CreateAndUpdateCrew } from './Crew.consts';
export default class Crew {
    onListUpdate: any;
    onItemUpdate: any;
    onItemRemoved: any;
    onItemCreated: any;
    private crewStore;
    private usersStore;
    constructor(session: Session, usersStore: Users);
    getTeamAvalibleDrivers(teamId: number): Promise<User[]>;
    getAllByTeam(teamId: any): Promise<CrewType[]>;
    get(id: number): Promise<CrewType>;
    create(crew: CreateAndUpdateCrew): Promise<CrewType>;
    update(id: number, crew: CreateAndUpdateCrew): Promise<CrewType>;
    delete(id: number): Promise<void>;
    getCrewPlannedRoute(crewId: any): Promise<void>;
}
